Subject: [alpine-aports] [PATCH] main/rtorrent: explicitly enable ipv6 support

From: Sören Tempel <[email-masked]>
Date: Sat, 2 Jan 2016 23:56:30 +0100

According to the ./configure --help output ipv6 support is disable by
default, enabling it is a good idea imho.

Also install rtorrent.rc to /usr/share/doc/rtorrent/rtorrent.rc instead
of /usr/share/doc/rtorrent/rtorrent.r
---
 main/rtorrent/APKBUILD | 28 +++++++++++++---------------
 1 file changed, 13 insertions(+), 15 deletions(-)

diff --git a/main/rtorrent/APKBUILD b/main/rtorrent/APKBUILD
index d30c5c0..2ef3c4b 100644
--- a/main/rtorrent/APKBUILD
+++ b/main/rtorrent/APKBUILD
@@ -1,40 +1,38 @@
 # Contributor: Peter Bui <[email-masked]>
+# Contributor: Sören Tempel <[email-masked]>
 # Maintainer: Bartłomiej Piotrowski <[email-masked]>
-
 pkgname=rtorrent
 pkgver=0.9.6
-pkgrel=0
-pkgdesc='Ncurses BitTorrent client based on libTorrent'
-url='http://rakshasa.github.io/rtorrent/'
-license='GPL'
-arch='all'
-makedepends='libsigc++-dev libtorrent-dev curl-dev xmlrpc-c-dev ncurses-dev'
+pkgrel=1
+pkgdesc="Ncurses BitTorrent client based on libTorrent"
+url="http://rakshasa.github.io/rtorrent/"
+license="GPL"
+arch="all"
+makedepends="libsigc++-dev libtorrent-dev curl-dev xmlrpc-c-dev ncurses-dev"
 subpackages="$pkgname-doc"
 source="http://rtorrent.net/downloads/${pkgname}-${pkgver}.tar.gz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
-
-prepare() {
-	cd "$_builddir"
-}
-
 build() {
 	cd "$_builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		--enable-ipv6 \
 		--disable-debug \
 		--with-xmlrpc-c \
 		|| return 1
-
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
-	install -D doc/rtorrent.rc "$pkgdir"/usr/share/doc/rtorrent/rtorrent.r
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 doc/rtorrent.rc "$pkgdir"/usr/share/doc/rtorrent/rtorrent.rc
 }
 
 md5sums="5e7550f74e382a6245412c615f45444d  rtorrent-0.9.6.tar.gz"
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---